Revoke the global platform administrator role.
DELETE
/v1/users/{userId}/platform-roles/platform_admin
const url = 'https://api.dev.iot-sens.schlossers.at/v1/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/platform-roles/platform_admin';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.dev.iot-sens.schlossers.at/v1/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/platform-roles/platform_admin \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”userId
required
string format: uuid
Responses
Section titled “Responses”Platform role revoked.
default
Section titled “default”A safe platform error response.
Media typeapplication/json
object
error
required
object
Example
{ "error": { "code": "VALIDATION_FAILED", "category": "validation" }}Headers
Section titled “Headers”Cache-Control
string